com.sun.jdi

## Class VMCannotBeModifiedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.UnsupportedOperationException
        - - com.sun.jdi.VMCannotBeModifiedException

- All Implemented Interfaces:
    Serializable

      public class VMCannotBeModifiedException
      extends UnsupportedOperationException

  Thrown to indicate that the operation is invalid because it would modify the VM and the VM is read-only. See `VirtualMachine.canBeModified()`.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VMCannotBeModifiedException()`
    `VMCannotBeModifiedException(String s)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VMCannotBeModifiedException

          public VMCannotBeModifiedException()

    - #### VMCannotBeModifiedException

          public VMCannotBeModifiedException(String s)

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.